--C4Lua--------------------
if C4Lua == nil then --测试，当用c调用时此条件为假，不执行下列语句。
	C4Lua={
		PrintString=function( Msg ) end,
		Lua2C=function(Type,Data) end,
		OnTime2C=function(Type,Data) end,
	}
end
PrintString = C4Lua.PrintString

--Lua4C---------------------
Lua4C={
	Init=function() assert(false) end,
	OnTime=function(nCurTimeMsec) assert(false) end,
	PutCmdData=function(CmdType,CmdData,ByteLen) assert(false) end,
	CmdResult="",
}

function Lua4C.Init()
	App.m_ServiceForUI:Init()
	App.m_AccountManager:Init()
	App.m_ServiceForDebug:Init()
	App.m_VirtualDevice:Init()
	App.m_Sqlite:Init()
end

function Lua4C.OnTime( nCurTimeMsec )
	App.m_CurTimeMsec:SetVal(nCurTimeMsec)
	App.m_Tasks:OnTime()
	--业务部分
	App.m_AccountManager:OnTime()
	App.m_ServiceForDebug:OnTime()
	App.m_VirtualDevice:OnTime()
	App.m_Sqlite:OnTime()
	--PrintString("OnTime")
	return 0
end

function Lua4C.PutCmdData(CmdType,CmdData)
	local Result=App.m_ServiceForUI:PutCmdData(CmdType,CmdData)
	local Rt = 0
	if type(Result)=="string" then
		Lua4C.CmdResult=Result
		Rt=#Result
	end
	return Rt
end
